/**
 * @author zhangyy
 * @version 1.0
 * @description: RedisTest
 * @date 2024/9/10 13:47
 */

import com.hrsk.cloud.eg.Application;
import com.hrsk.cloud.eg.domain.api.channel.customized.LoanManagerService;
import com.hrsk.cloud.eg.infrastructure.utils.RedisUtil;
import com.hrsk.pangu.domain.DomainFactory;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

import static com.hrsk.cloud.eg.infrastructure.constant.RedisConstant.BUSINESS_API_KEY;

/**
 * @author zhangyy
 * @version 1.0
 * @description: GenerateConfigTest
 * @date 2024/9/9 15:13
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
public class RedisTest {


    @Resource
    private RedisUtil redisUtil;

    @Test
    public void setRedisUtil(){
        redisUtil.set("key1", "value1");
    }

    @Test
    public void getRedisUtil(){
        LoanManagerService loanManagerService = DomainFactory.create(LoanManagerService.class);
        System.out.println(loanManagerService);
    }
}

